Xeonr Developer Docs

Update Identity Provider

POST
/xeonr.auth.private.v1.OrganisationService/UpdateIdentityProvider

Updates an identity provider's configuration. Use update_mask to specify which fields to update.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

identityProviderId?string
Lengthlength <= 64
displayName?string|null
Lengthlength <= 255
enabled?boolean|null
clientId?string|null
Lengthlength <= 512
clientSecret?string|null
Lengthlength <= 1024
redirectUrl?string|null
Lengthlength <= 2048
issuerUrl?string|null
Lengthlength <= 2048
authorizationUrl?string|null
Lengthlength <= 2048
tokenUrl?string|null
Lengthlength <= 2048
userinfoUrl?string|null
Lengthlength <= 2048
scopes?scopes
Itemsitems <= 64
iacManaged?boolean|null
updateMask?string

Fields to update. If not provided, all set fields are updated. Include "scopes" to sync scopes (empty array removes all).

[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/UpdateIdentityProvider" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "identityProvider": {
    "id": "string",
    "organisationId": "string",
    "slug": "string",
    "displayName": "string",
    "enabled": true,
    "clientId": "string",
    "clientSecret": "string",
    "redirectUrl": "string",
    "issuerUrl": "string",
    "authorizationUrl": "string",
    "tokenUrl": "string",
    "userinfoUrl": "string",
    "scopes": [
      "string"
    ],
    "usesPasswordClient": true,
    "iacManaged": true,
    "clientSecretSet": true,
    "systemManaged": true
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}